Bug 683822 - kernel: restrict unprivileged access to kernel syslog [rhel-6.1] [rhel-6.0.z]
Summary: kernel: restrict unprivileged access to kernel syslog [rhel-6.1] [rhel-6.0.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 653245
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-10 12:44 UTC by RHEL Product and Program Management
Modified: 2011-04-12 12:47 UTC (History)
9 users (show)

Fixed In Version: kernel-2.6.32-71.20.1.el6
Doc Type: Bug Fix
Doc Text:
The kernel syslog contains debugging information that is often useful during exploitation of other vulnerabilities such as kernel heap addresses. With this update, a new CONFIG_SECURITY_DMESG_RESTRICT option has been added to config-generic-rhel which prevents unprivileged users from reading the kernel syslog. This option is by default turned off (0), which means no restrictions.
Clone Of:
Environment:
Last Closed: 2011-04-08 02:59:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0421 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-04-08 02:56:45 UTC

Description RHEL Product and Program Management 2011-03-10 12:44:33 UTC
This bug has been copied from bug #653245 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 6 errata-xmlrpc 2011-04-08 02:59:32 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0421.html

Comment 7 Martin Prpič 2011-04-12 12:47:15 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
The kernel syslog contains debugging information that is often useful during exploitation of other vulnerabilities such as kernel heap addresses. With this update, a new CONFIG_SECURITY_DMESG_RESTRICT option has been added to config-generic-rhel which prevents unprivileged users from reading the kernel syslog. This option is by default turned off (0), which means no restrictions.


Note You need to log in before you can comment on or make changes to this bug.